<app-messages></app-messages>
<div *ngIf="selectedContactDetails">
    <p>Name: {{selectedContactDetails.name}}</p>
    <p>Phone: {{selectedContactDetails.phone}}</p>
    <div>
        <label>name:
          <input [(ngModel)]="selectedContactDetails.name" placeholder="name"/>
        </label>
    </div>
</div>